/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "AirRAC", "index.html", [
    [ "AirRAC Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "AirRAC at SourceForge", "index.html#at_sourceforge", null ],
      [ "AirRAC Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support AirRAC", "index.html#social_sponsorship", null ],
      [ "About AirRAC", "index.html#about", null ]
    ] ],
    [ "People", "authors.html", [
      [ "Project Admins (and Developers)", "authors.html#admins", null ],
      [ "Retired Developers", "authors.html#retired", null ],
      [ "Contributors", "authors.html#contributors", null ],
      [ "Distribution Maintainers", "authors.html#distributors", null ]
    ] ],
    [ "Coding Rules", "coding_rules.html", [
      [ "Default Naming Rules for Variables", "coding_rules.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "coding_rules.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "coding_rules.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "coding_rules.html#cr_files", null ],
      [ "Default Functionality of Classes", "coding_rules.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "copyright.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "copyright.html#gnugpl", [
        [ "Version 2.1, February 1999", "copyright.html#version", null ]
      ] ],
      [ "Preamble", "copyright.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "copyright.html#terms", [
        [ "NO WARRANTY", "copyright.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "copyright.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "copyright.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "documentation.html", [
      [ "General Rules", "documentation.html#doc_general", null ],
      [ "File Header", "documentation.html#doc_header", null ],
      [ "Grouping Various Parts", "documentation.html#doc_groups", null ]
    ] ],
    [ "Main features", "features.html", [
      [ "Yield calculation", "features.html#ft_yield_calculation", null ],
      [ "Yield rule engine", "features.html#ft_yield_rule_engine", null ],
      [ "Yield retrieval", "features.html#ft_yield_retrieval", null ],
      [ "Other features", "features.html#ft_others", null ]
    ] ],
    [ "Make a Difference            <br>", "help_wanted.html", null ],
    [ "Make a new release", "howto_release.html", [
      [ "Introduction", "howto_release.html#description", null ],
      [ "Initialisation", "howto_release.html#initialisation", null ],
      [ "Branch creation", "howto_release.html#branch_creation", null ],
      [ "Commit and publish the release branch", "howto_release.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "howto_release.html#trunk_update", null ],
      [ "Create distribution packages", "howto_release.html#create_packages", null ],
      [ "Generation the RPM packages", "howto_release.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "howto_release.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "howto_release.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "howto_release.html#upload_files", null ],
      [ "Upload the documentation to SourceForge", "howto_release.html#upload_doc", null ],
      [ "Make a new post", "howto_release.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "howto_release.html#send_announce", null ]
    ] ],
    [ "Installation", "installation.html", [
      [ "Table of Contents", "installation.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "installation.html#rpm_linux", null ],
      [ "AirRAC Requirements", "installation.html#requirements", null ],
      [ "Basic Installation", "installation.html#basic_instructions", null ],
      [ "Compilers and Options", "installation.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "installation.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "installation.html#installation_names", null ],
      [ "Optional Features", "installation.html#optional_features", null ],
      [ "Particular systems", "installation.html#particular_systems", null ],
      [ "Specifying the System Type", "installation.html#specifying_system_type", null ],
      [ "Sharing Defaults", "installation.html#sharing_defaults", null ],
      [ "Defining Variables", "installation.html#defining_variables", null ],
      [ "‘cmake’ Invocation", "installation.html#cmake_invocation", null ]
    ] ],
    [ "Linking with AirRAC", "linking.html", [
      [ "Introduction", "linking.html#intro", null ],
      [ "Using the pkg-config command", "linking.html#pkgconfig", null ],
      [ "Using the airrac-config script", "linking.html#airrac_config", null ],
      [ "M4 macro for the GNU Autotools", "linking.html#autotools", null ],
      [ "Using AirRAC with dynamic linking", "linking.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "test.html", [
      [ "The Test Source Files", "test.html#test_source", null ],
      [ "The Reference File", "test.html#reference_file", null ],
      [ "Testing AirRAC Library", "test.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "users_guide.html", [
      [ "Table of Contents", "users_guide.html#ug_toc", null ],
      [ "Introduction", "users_guide.html#ug_introduction", null ],
      [ "Get Started", "users_guide.html#ug_get_started", [
        [ "Get the AirRAC library", "users_guide.html#ug_get_source", null ],
        [ "Build the AirRAC project", "users_guide.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "users_guide.html#ug_build_and_run_tests", null ],
        [ "Install the AirRAC Project (Binaries, Documentation)", "users_guide.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "users_guide.html#ug_bom_tree", [
        [ "Yield Rule Engine BOM Tree", "users_guide.html#ug_bom_yield_rule_engine", null ]
      ] ],
      [ "Extending the BOM Tree", "users_guide.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "verification.html", [
      [ "AirRAC 0.1.x", "verification.html#airrac_0_1", [
        [ "Linux Systems", "verification.html#linux", [
          [ "Fedora Core 4 with ATLAS", "verification.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "verification.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "verification.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "verification.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "verification.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with AirRAC External", "verification.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "verification.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "verification.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "verification.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "verification.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "verification.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "verification.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "verification.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and AirRAC External", "verification.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "verification.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "verification.html#unix", [
          [ "SunOS 5.9 with AirRAC External", "verification.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "AirRAC Supported Systems (Previous Releases)", "verification_old.html", [
      [ "AirRAC 3.9.1", "verification_old.html#airrac_3_9_1", null ],
      [ "AirRAC 3.9.0", "verification_old.html#airrac_3_9_0", null ],
      [ "AirRAC 3.8.1", "verification_old.html#airrac_3_8_1", null ]
    ] ],
    [ "Tutorials", "tutorials.html", [
      [ "Table of Contents", "tutorials.html#tut_toc", null ],
      [ "Introduction", "tutorials.html#tut_introduction", [
        [ "Preparing the AirRAC Project for Development", "tutorials.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "tutorials.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "tutorials.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "tutorials.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "tutorials.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "tutorials.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "tutorials.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "tutorials.html#tut_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Test to Demonstrate How To Test the AirRAC Project", "YieldTestSuite_cpp.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"AIRRAC__ServiceContext_8cpp.html",
"structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html#a66bf2c6cb59dd06f4da3b514e01b05c8"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';